Skip to main content
GET
/
policy
/
{policyId}
/
component
/
{componentId}
Retrieve a specific policy component by ID
curl --request GET \
  --url https://api.draftt.io/v1/policy/{policyId}/component/{componentId} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 22,
      "componentId": 3,
      "integrationId": 6,
      "technology": "rds",
      "type": "rds-postgres",
      "typeDisplayName": "Amazon RDS PostgreSQL",
      "name": "dev-1-rds",
      "uniqueIdentifier": "arn:aws:rds:us-east-1:125422356123:db:dev-1-rds",
      "urgency": 17.39,
      "priority": 17.39,
      "isCompliant": true,
      "currentVersion": "14.10",
      "requiredVersion": "14.11",
      "recommendedVersion": "14.11",
      "dueDate": "2025-12-22T00:00:00.000Z",
      "tags": [
        {
          "key": "Terraform",
          "value": "true"
        },
        {
          "key": "Environment",
          "value": "dev-us-east-1"
        },
        {
          "key": "Name",
          "value": "dev-1-rds"
        }
      ],
      "createdAt": "2024-05-06T11:25:51.513Z",
      "updatedAt": "2024-01-06T11:25:51.513Z"
    }
  ],
  "nextToken": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policyId
integer
required
componentId
integer
required

Response

Success

items
object[]
required
Required array length: 1 element
nextToken
enum<string>
Available options:
null